LIST_FOR_EACH_C(9)

NAME
list_for_each_continue_rcu - iterate over an rcu-protected list

SYNOPSIS

list_for_each_continue_rcu (pos, head);

ARGUMENTS

pos the &struct list_head to use as a loop counter.

head
    the head for your list.

DESCRIPTION

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as list_add_rcu as long as the traversal is guarded by rcu_read_lock.

DESCRIPTION

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as list_add_rcu as long as the traversal is guarded by rcu_read_lock.